# Fawkes

Website to protect images from facial recognition


## Installation

You can host the website on your own computer, by following these steps:

**Note:** this guide assumes you're running Ubuntu and have already installed node.js on your system.

1. Open a terminal window
2. Download the code: `git clone https://git.bitscuit.be/bitscuit/Fawkes.git`
3. Move into the project directory: `cd Fawkes`
4. Install the dependencies: `npm i socket.io`

You can now edit the `main.js` file with your favourite text editor and change the following:

- Set the value of `hostname` to your machine's IP address on your local network. This will make it possible for anyone on your local network to join the game.
- Set the value of `port` to whatever port you want the game to run at.


## Usage

Once you've installed the website on your system, run `./launch` to start the webserver.

You can now visit the site by entering `<IP-address>:<port>` in your browser.

If you want others to be able to access it over the Internet, you should forward a port on your router and redirect it to your machine. More information about this can be found [here](https://www.howtogeek.com/66214/how-to-forward-ports-on-your-router/). Others can then visit the website by entering your *public* IP address in their browser.


## SystemD

For a more permanent setup, I recommend you create a SystemD unit for your Fawkes website.

Copy the following blueprint to `/etc/systemd/system/fawkes.service` and adjust it according to your specific setup:
´´´
[Unit]
Description=Fawkes Webserver

[Service]
User=msta
ExecStart=/home/msta/Fawkes/launch

[Install]
WantedBy=multi-user.target
´´´

Afterwards, run `sudo systemctl enable fawkes.service` to enable the service.


## Disclaimer

Copyright 2021 Thomas Van Acker

This project is available under the [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.en.html). This program comes with ABSOLUTELY NO WARRANTY.

I am not resposible for any damage that may be caused by this software. USE AT YOUR OWN RISK.


## Acknowledgements

Scrawl uses the following libraries:

- Fawkes, available at [https://github.com/Shawn-Shan/fawkes](https://github.com/Shawn-Shan/fawkes), [license](https://github.com/Shawn-Shan/fawkes/blob/master/LICENSE)
- Node.js, available at [https://github.com/nodejs/node](https://github.com/nodejs/node), [license](https://github.com/nodejs/node/blob/master/LICENSE)
- socket.io, available at [https://github.com/socketio/socket.io](https://github.com/socketio/socket.io), [license](https://github.com/socketio/socket.io/blob/master/LICENSE)
- skeleton, available at [https://github.com/dhg/Skeleton](https://github.com/dhg/Skeleton), [license](https://github.com/dhg/Skeleton/blob/master/LICENSE.md)
- FontAwesome, available at [https://github.com/FortAwesome/Font-Awesome](https://github.com/FortAwesome/Font-Awesome), [license](https://github.com/FortAwesome/Font-Awesome/blob/master/LICENSE.txt)



